package de.ozgcloud.apilib.vorgang;

import java.time.ZonedDateTime;

import de.ozgcloud.apilib.user.OzgCloudUserId;
import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Builder
@Getter
public class OzgCloudVorgangHeader {

	private OzgCloudVorgangStatus status;

	private ZonedDateTime createdAt;

	private OzgCloudUserId assignedTo;

	private String aktenzeichen;

	@ToString.Exclude
	private OzgCloudServiceKonto serviceKonto;
}
