package de.ozgcloud.apilib.user;

import java.util.UUID;

public class OzgCloudUserProfileTestFactory {

	public static final OzgCloudUserId ID = OzgCloudUserId.from(UUID.randomUUID().toString());
	public static final String FIRST_NAME = "Theo";
	public static final String LAST_NAME = "Test";
	public static final String EMAIL = "theo@local";

	public static OzgCloudUserProfile create() {
		return createBuilder().build();
	}

	public static OzgCloudUserProfile.OzgCloudUserProfileBuilder createBuilder() {
		return OzgCloudUserProfile.builder()
				.id(ID)
				.firstName(FIRST_NAME)
				.lastName(LAST_NAME)
				.email(EMAIL);
	}
}
