package de.ozgcloud.apilib.common.errorhandling;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

import de.ozgcloud.apilib.common.datatypes.GenericId;

class NotFoundExceptionTest {

	private final GenericId id = GenericId.from("dummyId");
	private final String entityName = "DummyEntity";

	@Test
	void shouldHaveMessage() {
		var exception = new NotFoundException(id, entityName);

		assertThat(exception.getMessage()).isEqualTo(entityName + " with id '" + id + "' not found.");
	}
}
